Package uk.ac.starlink.table.join

# Class PairsRowLink

java.lang.Object
uk.ac.starlink.table.join.RowLink
uk.ac.starlink.table.join.RowLinkN
uk.ac.starlink.table.join.PairsRowLink

All Implemented Interfaces:
  `Comparable<RowLink>`

public class PairsRowLink extends RowLinkN
RowLink implementation which stores a number of pair matches to a single reference RowRef.

Since:
  3 Dec 2007
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`PairsRowLink(RowRef ref0, RowRef[] ref1s, double[] scores, boolean bestOnly)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`getScore(int i)`
Returns the score associated with a given RowRef.

### Methods inherited from class uk.ac.starlink.table.join.RowLinkN

`fromModifiableArray, getRef, size`

### Methods inherited from class uk.ac.starlink.table.join.RowLink

`compareTo, createLink, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PairsRowLink

public PairsRowLink(RowRef ref0, RowRef[] ref1s, double[] scores, boolean bestOnly)
Constructor.

Parameters:
  `ref0` - reference RowRef, common to all pairs
  `ref1s` - array of RowRefs which are pair matched to `ref0`
  `scores` - array of scores for `ref1s`, same number of elements
  `bestOnly` - true iff only the best match for each non-reference table should be retained

## Method Details

### getScore

public double getScore(int i)
Returns the score associated with a given RowRef. Will be NaN for the reference RowRef.

Parameters:
  `i` - ref index